Bug 31126 - fix upstart plymouth dependencies
fix upstart plymouth dependencies
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-22 14:27 CEST by Felix Botner
Modified: 2014-06-12 09:20 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2013-04-22 14:27:54 CEST
With kdm/autostart=no on an UCC client plymouth is stopped in the boot process very early which leads to a text console login prompt (especially annoying for software updates). Reason for that is in /etc/init/plymouth-stop.conf 

Probably it is an ubuntu standard to start the login manager before ending runlevel 2. In this case plymouth-stop.conf does nothing, but if plymouth-stop.conf is triggered by the stop of runlevel 2, it stops plymouth.

In UCC the start of the display manager lightdm is delayed by ucc-policy and the software-update. So lightdm never triggers plymouth-stop.conf and plymouth is stopped by the stop of runlevel 2 (under some circumstances long before the start of lightdm).

But we have also a kdm init script /etc/init/kdm.conf which triggers plymouth-stop.conf "correctly" (no plymouth stop) if kdm/autostart is not no. Unfortunately  kdm/autostart=no is the standard for ucc desktop images.

TODO

(1) Remove /etc/init/kdm.conf (the default display manager is configured in /etc/X11/default-display-manager) and kdm/autostart

(2) Fix upstart dependencies for plymouth-stop.conf
Comment 1 Felix Botner univentionstaff 2014-04-09 15:15:49 CEST
Added a new ucr template /etc/init/plymouth-stop.conf. This script does no longer stop plymouth. Instead added "plymouth quit" to /etc/init/ucc-update.conf
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-22 14:52:19 CEST
The bootsplash is now seamless during a normal boot and when installing software updates.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-06-12 09:20:09 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".